ALLEGRO_MONITOR_INFO(3)

NAME

ALLEGRO_MONITOR_INFO - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef struct ALLEGRO_MONITOR_INFO

DESCRIPTION

Describes a monitor's size and position relative to other monitors. x1, y1 will be 0, 0 on the primary display. Other monitors can have negative values if they are to the left or above the primary display. x2, y2 are the coordinates one beyond the bottom right pixel, so that x2-x1 gives the width and y2-y1 gives the height of the display.

    typedef struct ALLEGRO_MONITOR_INFO
    {
       int x1;
       int y1;
       int x2;
       int y2;
    } ALLEGRO_MONITOR_INFO;

SEE ALSO

al_get_monitor_info(3)